upgrade spamassassin

| Posted in Linux Server, Postfix

Spamassassin merupakan software tool anti spam yang berjalan di linux. Tahun 2006 tool ini memenangkan ‘Best Linux-based Anti-spam Solution’ pada ajang Linux New Media Awards 2006. Biasanya Spamassassin diintegrasikan kedalam mailserver yang menggunakan linux. Pada mailserver utama di kantorku yang memakai Debian dengan kombinasi mailserver Postfix, Qmail, Amavisd-new, Clamav, Vpopmail dan versi Spamassassinnya masih 3.0.3 dan karena ingin mengintegrasikan plugin FuzzyOCR di Spamassassin maka harus diupgrade. Untuk mengupgrade dilakukan langkah sbb :

Menambahkan kode berikut pada /etc/apt/sources.list :

deb http://www.backports.org/debian/ sarge-backports main contrib non-free

Kemudian pada /etc/apt/preferences, tambahkan kode:

Package: *
Pin: release a=sarge-backports
Pin-Priority: 350

Kemudian tambahkan pada /etc/apt/apt.conf :

APT::Cache-Limit “25165824”;

Setelah itu diupdate dengan menjalankan:
mail-server:/etc/spamassassin#apt-get update

mail-server:/etc/spamassassin# apt-get s -t sargebackports install spamassassin
Reading Package Lists… Done
Building Dependency Tree… Done
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
giflib-tools: Depends: libc6 (>= 2.3.6-6) but 2.3.2.ds1-22sarge4 is to be installed
Depends: libgif4 (>= 4.1.4) but it is not installable
gifsicle: Depends: libc6 (>= 2.3.5-1) but 2.3.2.ds1-22sarge4 is to be installed
spamassassin: Depends: libsocket6-perl but it is not going to be installed
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).


Disini terdapat error dependencies. Baca pesan errornya dan solusi yang diberikan.
mail-server:/etc/spamassassin# apt-get -f install
Reading Package Lists… Done
Building Dependency Tree… Done
Correcting dependencies… Done
The following packages will be REMOVED:
giflib-tools gifsicle
0 upgraded, 0 newly installed, 2 to remove and 53 not upgraded.
2 not fully installed or removed.
Need to get 0B of archives.
After unpacking 934kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database … 32819 files and directories currently installed.)
Removing giflib-tools …
Removing gifsicle …
mail-server:/etc/spamassassin# apt-get s -t sargebackports install spamassassin
Reading Package Lists… Done
Building Dependency Tree… Done
The following extra packages will be installed:
libsocket6-perl
Suggested packages:
razor libnet-ident-perl libio-socket-ssl-perl dcc-client pyzor libnet-smtp-perl
Recommended packages:
libmail-spf-query-perl
The following NEW packages will be installed:
libsocket6-perl
The following packages will be upgraded:
spamassassin
1 upgraded, 1 newly installed, 0 to remove and 123 not upgraded.
Inst libsocket6-perl (0.17-1 Debian:3.1r4/stable)
Inst spamassassin [3.0.3-2] (3.1.3-0bpo1 Backports.org archive:sarge-backports)
Conf libsocket6-perl (0.17-1 Debian:3.1r4/stable)
Conf spamassassin (3.1.3-0bpo1 Backports.org archive:sarge-backports)
mail-server:/etc/spamassassin# apt-get t sargebackports install spamassassin
Reading Package Lists… Done
Building Dependency Tree… Done
The following extra packages will be installed:
libsocket6-perl
Suggested packages:
razor libnet-ident-perl libio-socket-ssl-perl dcc-client pyzor libnet-smtp-perl
Recommended packages:
libmail-spf-query-perl
The following NEW packages will be installed:
libsocket6-perl
The following packages will be upgraded:
spamassassin
1 upgraded, 1 newly installed, 0 to remove and 123 not upgraded.
Need to get 979kB of archives.
After unpacking 762kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://debian.indika.net.id stable/main libsocket6-perl 0.17-1 [26.2kB]
Get:2 http://www.backports.org sarge-backports/main spamassassin 3.1.3-0bpo1 [953kB]
Fetched 979kB in 1m6s (14.8kB/s)
Selecting previously deselected package libsocket6-perl.
(Reading database … 32735 files and directories currently installed.)
Unpacking libsocket6-perl (from …/libsocket6-perl_0.17-1_i386.deb) ...
Preparing to replace spamassassin 3.0.3-2 (using …/spamassassin_3.1.3-0bpo1_all.deb) ...
Stopping SpamAssassin Mail Filter Daemon: spamd.
Unpacking replacement spamassassin …
Setting up libsocket6-perl (0.17-1) ...

Setting up spamassassin (3.1.3-0bpo1) ...
Configuration file `/etc/default/spamassassin’
> Modified (by you or by a script) since installation.
> Package distributor has shipped an updated version.
What would you like to do about it ? Your options are:
Y or I : install the package maintainer’s version
N or O : keep your currently-installed version
D : show the differences between the versions
Z : background this process to examine the situation
The default action is to keep your current version.

*** spamassassin (Y/I/N/O/D/Z) [default=N] ? N
Installing new version of config file /etc/logcheck/ignore.d.paranoid/spamassassin …
Installing new version of config file /etc/logcheck/violations.ignore.d/spamassassin …

Configuration file `/etc/spamassassin/local.cf’
> Modified (by you or by a script) since installation.
> Package distributor has shipped an updated version.
What would you like to do about it ? Your options are:
Y or I : install the package maintainer’s version
N or O : keep your currently-installed version
D : show the differences between the versions
Z : background this process to examine the situation
The default action is to keep your current version.

*** local.cf (Y/I/N/O/D/Z) [default=N] ? N

Configuration file `/etc/spamassassin/init.pre’
> Modified (by you or by a script) since installation.
> Package distributor has shipped an updated version.
What would you like to do about it ? Your options are:
Y or I : install the package maintainer’s version
N or O : keep your currently-installed version
D : show the differences between the versions
Z : background this process to examine the situation
The default action is to keep your current version.

*** init.pre (Y/I/N/O/D/Z) [default=N] ? N
Starting SpamAssassin Mail Filter Daemon: spamd.


Sampai disini proses upgrade spamassassin berhasil kita cek versinya :
mail-server:/etc/spamassassin# spamassassin -V
SpamAssassin version 3.1.3
running on Perl version 5.8.4

Comments (1)

kalau memebuat server mirror -debian sarge
source-nya dari CDs 14 gimana bos

Write a comment